Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 19:14:40 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 May 2015 18:05:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Is your build optimized, per chance?  It works for me, FWIW.
> 
> How do I set it to non-optimized?

Reconfigure like this:

  CFLAGS='-O0 -g3' ./configure ...

and then re-run "make".

> So far I've tracked the bug to xftfont_open, where instead of the
> usual
> 
>     font ascent: 14, descent: 5
> 
> I get for the 120755 char:
> 
>     font ascent: 54, descent: 46

How is this strange character displayed, eventually?  Is it displayed
as a character or as a box with its hex code?